Subject: [PWE3] Questions on RFC5602 Pseudowire (PW) over MPLS PSN Management Information Base (MIB)

From: Tina TSOU <[email-masked]>
Date: Fri, 04 Jun 2010 16:32:46 +0800

Hi Dave, Tom et al,

While designing the MIB, I have some questions about the RFC 5602.

The PW-MPLS-STD-MIB has pwMplsOutboundTable and pwMplsInboundTable about the pw.

I know that the pwMplsOutboundTable reports and configures the current outbound MPLS tunnels (mpls ldp or mpls te ) of a pw.

But I have some questions about the pwMplsInboundTable.

Via the following text in RFC 5602:

"It is important to note that inbound (tunnel originated in the remote

   PE) mapping is not configured or reported through the PW-MPLS-STD-

   MIB module since the local PE does not know the inbound association

   between specific PW and MPLS tunnels."

I would conclude that the pwMplsInboundTable does not report the inbound mpls tunnels (mpls ldp or mpls te) of the pw.

And I continued to read the description of the pwMplsInboundTable and pwMplsInboundEntry, some guesses came to my mind as below.

Is one LDP PW also being considered as one LSP connections, therefore different LDP PW has different LDP XC entry?

So the pw should have two PW LDP XC entry, one is outsegment which pushes the pw mpls lable, the other is the outsegment which map the pw mpls label to local native service.

And the pwMplsInboundTable reports the outsegment PW LDP XC entry.

Thank you for your time in advance.

B. R.
Tina
http://tinatsou.weebly.com/contact.html